# $file.fixpath

Converts file paths

Syntax

    $file.fixpath(<filename>)

Description

Returns the <filename> adjusted to match the current operating system file path conventions.
This means that on UNIX , a path like "C:\folder\file.mp3" will be returned as "/folder/file.mp3" and vice-versa.
There is a minor problem with unix paths converted to the windows system: unix has no "drive" concept thus the unix paths do not contain a drive. KVIrc will always map the paths to the "default" C: drive.
This is a good reason to avoid using absolute hard-coded paths :).
Please note that you DON'T NEED to call this function on paths that you pass to the other file.* functions: they are adjusted automatically.

See also
[fnc]$file.ps[/file]

Main index, Function index

KVirc 3.0.0 documentation
Generated by root at Thu Apr 29 12:41:05 2004